Information Exposure

Affecting io.jenkins:configuration-as-code artifact, versions [,1.27)

Do your applications use this vulnerable package? Test your applications

Overview

io.jenkins:configuration-as-code is a plugin for configuring Jenkins based on human-readable declarative configuration files.

Affected versions of this package are vulnerable to Information Exposure. The plugin does not properly apply masking to some values expected to be hidden when logging the configuration being applied.

Remediation

Upgrade io.jenkins:configuration-as-code to version 1.27 or higher.

References

CVSS Score

5.5
medium severity
  • Attack Vector
    Local
  • Attack Complexity
    Low
  • Privileges Required
    Low
  • User Interaction
    None
  • Scope
    Unchanged
  • Confidentiality
    High
  • Integrity
    None
  • Availability
    None
CVSS:3.0/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:N/A:N
Credit
Unknown
CVE
CVE-2019-10367
CWE
CWE-200
Snyk ID
SNYK-JAVA-IOJENKINS-458741
Disclosed
07 Aug, 2019
Published
08 Aug, 2019